Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository
Interface SwiftManager

All Superinterfaces:
  com.stc.repository.API, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable

All Known Implementing Classes:
  SwiftManagerImpl

    public interface SwiftManager

extends com.stc.repository.API

Version:
  $Revision: 1.1 $

Field Summary
`static java.lang.String` | `SWIFT_MANAGER_API_NAMESPACE` Namespace for the SwiftManager.
`static java.lang.String` | `SWIFT_MANAGER_API_SYSTEM_ID` System Id for the SwiftManager.

Fields inherited from interface com.stc.repository.API
`RCS_ID`

Method Summary

Methods inherited from interface com.stc.repository.API
`getClassNameMapper, getSystemID, initialize`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Field Detail

### SWIFT_MANAGER_API_NAMESPACE

    static final java.lang.String SWIFT_MANAGER_API_NAMESPACE

  Namespace for the SwiftManager.

  See Also:
    Constant Field Values

### SWIFT_MANAGER_API_SYSTEM_ID

    static final java.lang.String SWIFT_MANAGER_API_SYSTEM_ID

  System Id for the SwiftManager.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.